Subject: cl-setup mail Ð·Ð°Ð²Ð¸Ñ•Ð°ÐµÑ‚

Description: Ð¡Ð¾Ð³Ð»Ð°Ñ•Ð½Ð¾ Ð¸Ð½Ñ•Ñ‚Ñ€ÑƒÐºÑ†Ð¸Ð¸ 

http://www.calculate-linux.ru/main/ru/configuration_of_mail_server Ð½Ð°Ñ•Ñ‚Ñ€Ð°Ð¸Ð²Ð°ÑŽ mailserver. 

cl-setup ldap Ð¸ cl-setup unix Ñ•Ð´ÐµÐ»Ð°Ð».



ÐšÐ¾Ð¼Ð°Ð½Ð´Ð° cl-setup mail Ð·Ð°Ð²Ð¸Ñ•Ð°ÐµÑ‚ Ð¿Ð¾Ñ•Ð»Ðµ Ð·Ð°Ð¿ÑƒÑ•ÐºÐ° postfix.



<pre>

# cl-setup mail

 * ÐŸÐ Ð•Ð”Ð£ÐŸÐ Ð•Ð–Ð”Ð•Ð•Ð˜Ð•: Ð’Ñ‹Ð¿Ð¾Ð»Ð½ÐµÐ½Ð¸Ðµ Ñ•Ñ‚Ð¾Ð¹ Ð¿Ñ€Ð¾Ð³Ñ€Ð°Ð¼Ð¼Ñ‹ 

Ð¸Ð·Ð¼ÐµÐ½Ð¸Ñ‚ ÐºÐ¾Ð½Ñ„Ð¸Ð³ÑƒÑ€Ð°Ñ†Ð¸Ð¾Ð½Ð½Ñ‹Ðµ Ñ„Ð°Ð¹Ð»Ñ‹ Mail Ñ•ÐµÑ€Ð²Ð¸Ñ•Ð° 

(Ð¿Ñ€Ð¾Ð³Ñ€Ð°Ð¼Ð¼Ñ‹ Postfix Ð¸ Dovecot).

Ð•Ñ•Ð»Ð¸ Ð²Ñ‹ Ð³Ð¾Ñ‚Ð¾Ð²Ñ‹ Ð¿Ñ€Ð¾Ð´Ð¾Ð»Ð¶Ð¸Ñ‚ÑŒ Ð²Ñ‹Ð¿Ð¾Ð»Ð½ÐµÐ½Ð¸Ðµ 

Ð¿Ñ€Ð¾Ð³Ñ€Ð°Ð¼Ð¼Ñ‹, Ð²Ð²ÐµÐ´Ð¸Ñ‚Ðµ 'yes', ÐµÑ•Ð»Ð¸ Ð½ÐµÑ‚ - 'no': yes



 * Ð£Ð´Ð°Ð»ÐµÐ½ Mail DN Ð¸Ð· LDAP Ð±Ð°Ð·Ñ‹ Ð´Ð°Ð½Ð½Ñ‹Ñ… ...                                                            

                                                                                                                                    [ ok ]

 * Ð”Ð¾Ð±Ð°Ð²Ð»ÐµÐ½ ldif Ñ„Ð°Ð¹Ð» ...                                                                                                           

                                                                                                     [ ok ]

 * Ð—Ð°Ð¿ÑƒÑ•ÐºÐ°ÐµÑ‚Ñ•Ñ• Postfix ...                                                                                                            

                                                                                                   [ ok ]

</pre>



ÐŸÐ¾Ñ•Ð»Ðµ Ð½Ð°Ð¶Ð°Ñ‚Ð¸Ñ• ctrl-c Ð² Ñ‚ÐµÑ€Ð¼Ð¸Ð½Ð°Ð»Ðµ:

<pre>

^CTraceback (most recent call last):

  File "/usr/bin/cl-setup-2.7", line 57, in <module>

    if obj.setupMailServer(optObj.opt):

  File "/usr/lib/calculate/calculate-server/pym/cl_ldap.py", line 4905, in setupMailServer

    textLines = self.execProg("/etc/init.d/dovecot start")

  File "/usr/lib/calculate/calculate-server/pym/cl_ldap.py", line 1700, in execProg

    retCode,programOut = cl_utils.runOsCommand(cmdStrProg,inStr,retFull,env)

  File "/usr/lib/calculate/calculate-lib/pym/cl_utils.py", line 299, in runOsCommand

    res += ferr.readlines()

KeyboardInterrupt

</pre>



PS. http://www.calculate-linux.ru/boards/6/topics/23505

History

08/28/2013 05:33 pm - Mikhail Hiretsky

- File dovecot_restart_fix.patch added

- Status changed from New to In Progress

ÐŸÑ€Ð¾Ð±Ð»ÐµÐ¼Ð° Ñ•Ð²Ñ•Ð·Ð°Ð½Ð° Ñ• Ð·Ð°Ð¿ÑƒÑ•ÐºÐ¾Ð¼ dovecot. ÐŸÐ¾Ð¿Ñ€Ð¾Ð±ÑƒÐ¹Ñ‚Ðµ Ð¿Ñ€Ð¸Ð»Ð¾Ð¶ÐµÐ½Ð½Ñ‹Ð¹ 

Ð¿Ð°Ñ‚Ñ‡ Ð½Ð° @/usr/lib/calculate/calculate-lib/pym/cl_utils.py@

08/28/2013 05:42 pm - Ð”Ð°Ð½Ð¸Ð»Ð° Ð–ÑƒÐºÐ¾Ñ†ÐºÐ¸Ð¹

05/06/2024 1/2



Mikhail Hiretsky wrote:

> ÐŸÑ€Ð¾Ð±Ð»ÐµÐ¼Ð° Ñ•Ð²Ñ•Ð·Ð°Ð½Ð° Ñ• Ð·Ð°Ð¿ÑƒÑ•ÐºÐ¾Ð¼ dovecot. ÐŸÐ¾Ð¿Ñ€Ð¾Ð±ÑƒÐ¹Ñ‚Ðµ Ð¿Ñ€Ð¸Ð»Ð¾Ð¶ÐµÐ½Ð½Ñ‹Ð¹ 

Ð¿Ð°Ñ‚Ñ‡ Ð½Ð° @/usr/lib/calculate/calculate-lib/pym/cl_utils.py@



ÐŸÐ¾Ð¼Ð¾Ð³Ð»Ð¾, Ð±Ð»Ð°Ð³Ð¾Ð´Ð°Ñ€ÑŽ.

08/30/2013 09:55 am - Mikhail Hiretsky

- Status changed from In Progress to Closed

Files

dovecot_restart_fix.patch 479 Bytes 08/28/2013 Mikhail Hiretsky

05/06/2024 2/2


